0 votos

Error apt-get update en Debian

¡Buenas!

Tengo una máquina en la red de un cliente, que tiene que conectarse obligatoriamente al repositorio propio del cliente.

Estos son los datos de mi servidor:

Linux maquina1 4.9.0-8-amd64 #1 SMP Debian 4.9.130-2 (2018-10-27) x86_64 GNU/Linux

Y el sources.list:

# Repositorio cliente:
deb http://192.168.201.104/debian/ stretch main
deb http://192.168.201.104/debian-security/ stretch/updates main

Pero al intentar actualizar me da este error:

operador@maquina1$ sudo apt-get update
[sudo] password for operador:
Ign:1 http://192.168.201.104/debian stretch InRelease
Ign:2 http://192.168.201.104/debian-security stretch/updates InRelease
Ign:3 http://192.168.201.104/debian stretch Release
Ign:4 http://192.168.201.104/debian-security stretch/updates Release
Err:5 http://repo.mysql.com/apt/debian stretch InRelease
  Fallo temporal al resolver «repo.mysql.com»
Ign:6 http://192.168.201.104/debian stretch/main amd64 Packages
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:17 http://192.168.201.104/debian stretch/non-free all Packages
Ign:18 http://192.168.201.104/debian stretch/non-free Translation-es_ES
Ign:19 http://192.168.201.104/debian stretch/non-free Translation-es
Ign:20 http://192.168.201.104/debian stretch/non-free Translation-en
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Ign:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Ign:6 http://192.168.201.104/debian stretch/main amd64 Packages
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:17 http://192.168.201.104/debian stretch/non-free all Packages
Ign:18 http://192.168.201.104/debian stretch/non-free Translation-es_ES
Ign:19 http://192.168.201.104/debian stretch/non-free Translation-es
Ign:20 http://192.168.201.104/debian stretch/non-free Translation-en
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Ign:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Ign:6 http://192.168.201.104/debian stretch/main amd64 Packages
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:17 http://192.168.201.104/debian stretch/non-free all Packages
Ign:18 http://192.168.201.104/debian stretch/non-free Translation-es_ES
Ign:19 http://192.168.201.104/debian stretch/non-free Translation-es
Ign:20 http://192.168.201.104/debian stretch/non-free Translation-en
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Ign:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Ign:6 http://192.168.201.104/debian stretch/main amd64 Packages
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:17 http://192.168.201.104/debian stretch/non-free all Packages
Ign:18 http://192.168.201.104/debian stretch/non-free Translation-es_ES
Ign:19 http://192.168.201.104/debian stretch/non-free Translation-es
Ign:20 http://192.168.201.104/debian stretch/non-free Translation-en
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Ign:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Ign:6 http://192.168.201.104/debian stretch/main amd64 Packages
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:17 http://192.168.201.104/debian stretch/non-free all Packages
Ign:18 http://192.168.201.104/debian stretch/non-free Translation-es_ES
Ign:19 http://192.168.201.104/debian stretch/non-free Translation-es
Ign:20 http://192.168.201.104/debian stretch/non-free Translation-en
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Ign:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Err:6 http://192.168.201.104/debian stretch/main amd64 Packages
  Falló la conexión
Ign:7 http://192.168.201.104/debian stretch/main all Packages
Ign:8 http://192.168.201.104/debian stretch/main Translation-es
Ign:9 http://192.168.201.104/debian stretch/main Translation-en
Ign:10 http://192.168.201.104/debian stretch/main Translation-es_ES
Ign:11 http://192.168.201.104/debian stretch/contrib all Packages
Ign:12 http://192.168.201.104/debian stretch/contrib amd64 Packages
Ign:13 http://192.168.201.104/debian stretch/contrib Translation-en
Ign:14 http://192.168.201.104/debian stretch/contrib Translation-es
Ign:15 http://192.168.201.104/debian stretch/contrib Translation-es_ES
Ign:16 http://192.168.201.104/debian stretch/non-free amd64 Packages
Ign:21 http://192.168.201.104/debian-security stretch/updates/main all Packages
Err:22 http://192.168.201.104/debian-security stretch/updates/main amd64 Packages
  Falló la conexión
Ign:23 http://192.168.201.104/debian-security stretch/updates/main Translation-en
Ign:24 http://192.168.201.104/debian-security stretch/updates/main Translation-es_ES
Ign:25 http://192.168.201.104/debian-security stretch/updates/main Translation-es
Leyendo lista de paquetes... Hecho
W: El repositorio «http://192.168.201.104/debian stretch Release» no tiene un fichero de Publicación.
N: Los datos de un repositorio como este no se pueden autenticar y por tanto su uso es potencialmente peligroso.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.
W: El repositorio «http://192.168.201.104/debian-security stretch/updates Release» no tiene un fichero de Publicación.
N: Los datos de un repositorio como este no se pueden autenticar y por tanto su uso es potencialmente peligroso.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.
W: Fallo al obtener http://repo.mysql.com/apt/debian/dists/stretch/InRelease  Fallo temporal al resolver «repo.mysql.com»
E: Fallo al obtener http://192.168.201.104/debian/dists/stretch/main/binary-amd64/Packages  Falló la conexión
E: Fallo al obtener http://192.168.201.104/debian-security/dists/stretch/updates/main/binary-amd64/Packages  Falló la conexión
W: No se han podido descargar algunos archivos de índice, se han omitido, o se han utilizado unos antiguos en su lugar.

El cliente me dice que es un problema de conectividad en mi máquina (vamos, que se lava las manos).

El caso es que si me conecto con netcat al puerto 80 de 192.168.201.104, establece sesión.

operador@maquina1:~$ netcat 192.168.201.104 80

HTTP/1.1 400 Bad Request
Date: Thu, 14 Mar 2019 09:12:07 GMT
Server: Apache/2.4.25 (Debian)
Content-Length: 313
Connection: close
Content-Type: text/html; charset=iso-8859-1

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>400 Bad Request</title>
</head><body>
<h1>Bad Request</h1>
<p>Your browser sent a request that this server could not understand.<br />
</p>
<hr>
<address>Apache/2.4.25 (Debian) Server at repositorio.intranet.net Port 80</address>
</body></html>

¿Alguien sabe qué puede estar fallando? Me interesa, sobre todo, poder asegurar que no es un problema de conexión.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: